Debian Bug report logs - #559991
FTBFS [hppa] - jni_md.h: No such file or directory

version graph

Package: libreadline-java; Maintainer for libreadline-java is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for libreadline-java is src:libreadline-java.

Reported by: dann frazier <dannf@debian.org>

Date: Tue, 8 Dec 2009 05:33:01 UTC

Severity: serious

Tags: sid, squeeze

Found in version libreadline-java/0.8.0.1-8.1

Fixed in version libreadline-java/0.8.0.1-8.2

Done: Rene Engelhard <rene@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ben Burton <bab@debian.org>:
Bug#559991; Package libreadline-java. (Tue, 08 Dec 2009 05:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
New Bug report received and forwarded. Copy sent to Ben Burton <bab@debian.org>. (Tue, 08 Dec 2009 05:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: submit@bugs.debian.org
Subject: FTBFS [hppa] - jni_md.h: No such file or directory
Date: Mon, 7 Dec 2009 22:30:16 -0700
Package: libreadline-java
Version: 0.8.0.1-8.1
Severity: serious
User: debian-hppa@lists.debian.org
Usertags: hppa

libreadline-java reliably fails to build on hppa:
  https://buildd.debian.org/build.php?&pkg=libreadline-java&ver=0.8.0.1-8.1&arch=hppa&file=log

Possibly related to this discussion:
  http://lists.debian.org/debian-hppa/2009/11/msg00041.html

From the most recent build attempt:
[...]
adding: org/gnu/readline/ReadlineConstString.class (in=289) (out=194) (deflated 32%)
Total:
------
(in = 15632) (out = 9215) (deflated 41%)
cd src; /usr/bin/make T_LIBS="JavaReadline JavaEditline" JAVAINCLUDE="/usr/lib/jvm/default-java/include" \
		        JAVANATINC="/usr/lib/jvm/default-java/include" native
make[2]: Entering directory `/build/buildd/libreadline-java-0.8.0.1/src'
cd native ; /usr/bin/make T_LIBS="JavaReadline JavaEditline" JAVAINCLUDE="/usr/lib/jvm/default-java/include" \
                            JAVANATINC="/usr/lib/jvm/default-java/include" all
make[3]: Entering directory `/build/buildd/libreadline-java-0.8.0.1/src/native'
make TG=JavaReadline lib
make[4]: Entering directory `/build/buildd/libreadline-java-0.8.0.1/src/native'
gjavah -classpath ../../build -jni org.gnu.readline.Readline
touch org_gnu_readline_Readline.h
gcc -I /usr/lib/jvm/default-java/include -I /usr/lib/jvm/default-java/include  -fPIC -DPOSIX -DJavaReadline \
	                                   -c org_gnu_readline_Readline.c
In file included from org_gnu_readline_Readline.h:3,
                 from org_gnu_readline_Readline.c:34:
/usr/lib/jvm/default-java/include/jni.h:52:20: error: jni_md.h: No such file or directory
In file included from org_gnu_readline_Readline.h:3,
                 from org_gnu_readline_Readline.c:34:
/usr/lib/jvm/default-java/include/jni.h:174: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jint'
/usr/lib/jvm/default-java/include/jni.h:175: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
/usr/lib/jvm/default-java/include/jni.h:185: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jint'
/usr/lib/jvm/default-java/include/jni.h:188: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jint'
/usr/lib/jvm/default-java/include/jni.h:191: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jint'
/usr/lib/jvm/default-java/include/jni.h:200: error: expected specifier-qualifier-list before 'jboolean'
/usr/lib/jvm/default-java/include/jni.h:226: error: expected specifier-qualifier-list before 'jint'
/usr/lib/jvm/default-java/include/jni.h:1565: error: expected specifier-qualifier-list before 'jint'
/usr/lib/jvm/default-java/include/jni.h:1599: error: expected specifier-qualifier-list before 'jint'
/usr/lib/jvm/default-java/include/jni.h:1614: error: expected specifier-qualifier-list before 'jint'
/usr/lib/jvm/default-java/include/jni.h:1631: error: expected specifier-qualifier-list before 'jint'
In file included from org_gnu_readline_Readline.c:34:
org_gnu_readline_Readline.h:13: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.h:14: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.h:15: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jboolean'
org_gnu_readline_Readline.h:16: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jstring'
org_gnu_readline_Readline.h:17: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.h:18: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.h:19: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jint'
org_gnu_readline_Readline.h:20: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jstring'
org_gnu_readline_Readline.h:21: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.h:22: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.h:23: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jstring'
org_gnu_readline_Readline.h:24: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jboolean'
org_gnu_readline_Readline.h:25: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.h:26: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.h:27: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.h:28: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jstring'
org_gnu_readline_Readline.h:29: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.h:30: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jint'
org_gnu_readline_Readline.h:31: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jint'
org_gnu_readline_Readline.h:32: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jstring'
org_gnu_readline_Readline.h:33: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jstring'
org_gnu_readline_Readline.c:120: warning: initialization from incompatible pointer type
org_gnu_readline_Readline.c:121: warning: initialization from incompatible pointer type
org_gnu_readline_Readline.c:124: warning: initialization from incompatible pointer type
org_gnu_readline_Readline.c:126: warning: initialization from incompatible pointer type
org_gnu_readline_Readline.c:128: warning: initialization from incompatible pointer type
org_gnu_readline_Readline.c:129: warning: initialization from incompatible pointer type
org_gnu_readline_Readline.c:130: warning: initialization from incompatible pointer type
org_gnu_readline_Readline.c:131: warning: initialization from incompatible pointer type
org_gnu_readline_Readline.c:310: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.c:336: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.c:351: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jboolean'
org_gnu_readline_Readline.c:361: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.c:389: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jstring'
org_gnu_readline_Readline.c:432: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.c:476: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.c:486: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jstring'
org_gnu_readline_Readline.c:503: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jint'
org_gnu_readline_Readline.c:514: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.c:551: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jboolean'
org_gnu_readline_Readline.c:585: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.c:616: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.c: In function 'java_completer':
org_gnu_readline_Readline.c:652: error: 'jboolean' undeclared (first use in this function)
org_gnu_readline_Readline.c:652: error: (Each undeclared identifier is reported only once
org_gnu_readline_Readline.c:652: error: for each function it appears in.)
org_gnu_readline_Readline.c:652: error: expected ';' before 'is_copy'
org_gnu_readline_Readline.c:654: error: 'const struct JNINativeInterface_' has no member named 'NewStringUTF'
org_gnu_readline_Readline.c:660: error: 'const struct JNINativeInterface_' has no member named 'CallObjectMethod'
org_gnu_readline_Readline.c:666: error: 'const struct JNINativeInterface_' has no member named 'GetStringUTFChars'
org_gnu_readline_Readline.c:666: error: 'is_copy' undeclared (first use in this function)
org_gnu_readline_Readline.c: At top level:
org_gnu_readline_Readline.c:676: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.c:716: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jstring'
org_gnu_readline_Readline.c:729: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jstring'
org_gnu_readline_Readline.c:755: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
org_gnu_readline_Readline.c:792: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jint'
org_gnu_readline_Readline.c:805: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jint'
org_gnu_readline_Readline.c:815: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jstring'
org_gnu_readline_Readline.c:873: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'jstring'
make[4]: *** [org_gnu_readline_Readline.o] Error 1
make[4]: Leaving directory `/build/buildd/libreadline-java-0.8.0.1/src/native'
make[3]: *** [JavaReadline] Error 2
make[3]: Leaving directory `/build/buildd/libreadline-java-0.8.0.1/src/native'
make[2]: *** [native] Error 2
make[2]: Leaving directory `/build/buildd/libreadline-java-0.8.0.1/src'
make[1]: *** [build-native] Error 2
make[1]: Leaving directory `/build/buildd/libreadline-java-0.8.0.1'
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Ben Burton <bab@debian.org>:
Bug#559991; Package libreadline-java. (Fri, 22 Jan 2010 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Ben Burton <bab@debian.org>. (Fri, 22 Jan 2010 21:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 559991@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 559991@bugs.debian.org
Subject: libreadline-java: diff for NMU version 0.8.0.1-8.2
Date: Fri, 22 Jan 2010 22:25:15 +0100
[Message part 1 (text/plain, inline)]
tags 559991 + patch
thanks

Dear maintainer,

The fix for this is quite easy, something changed in gcj-jdk
so that you explicitely need to add a -I for .../include/linux.

I've prepared an NMU for libreadline-java (versioned as 0.8.0.1-8.2) and
will upload iti.

Grüße/Regards,

Rene
[libreadline-java-0.8.0.1-8.2-nmu.diff (text/x-diff, attachment)]

Reply sent to Rene Engelhard <rene@debian.org>:
You have taken responsibility. (Fri, 22 Jan 2010 21:36:20 GMT) Full text and rfc822 format available.

Notification sent to dann frazier <dannf@debian.org>:
Bug acknowledged by developer. (Fri, 22 Jan 2010 21:36:20 GMT) Full text and rfc822 format available.

Message #15 received at 559991-close@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 559991-close@bugs.debian.org
Subject: Bug#559991: fixed in libreadline-java 0.8.0.1-8.2
Date: Fri, 22 Jan 2010 21:32:35 +0000
Source: libreadline-java
Source-Version: 0.8.0.1-8.2

We believe that the bug you reported is fixed in the latest version of
libreadline-java, which is due to be installed in the Debian FTP archive:

libreadline-java-doc_0.8.0.1-8.2_all.deb
  to main/libr/libreadline-java/libreadline-java-doc_0.8.0.1-8.2_all.deb
libreadline-java_0.8.0.1-8.2.diff.gz
  to main/libr/libreadline-java/libreadline-java_0.8.0.1-8.2.diff.gz
libreadline-java_0.8.0.1-8.2.dsc
  to main/libr/libreadline-java/libreadline-java_0.8.0.1-8.2.dsc
libreadline-java_0.8.0.1-8.2_amd64.deb
  to main/libr/libreadline-java/libreadline-java_0.8.0.1-8.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 559991@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rene Engelhard <rene@debian.org> (supplier of updated libreadline-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 22 Jan 2010 21:46:59 +0100
Source: libreadline-java
Binary: libreadline-java libreadline-java-doc
Architecture: source all amd64
Version: 0.8.0.1-8.2
Distribution: unstable
Urgency: low
Maintainer: Ben Burton <bab@debian.org>
Changed-By: Rene Engelhard <rene@debian.org>
Description: 
 libreadline-java - GNU readline and BSD editline wrappers for Java
 libreadline-java-doc - API docs for readline/editline wrappers for Java
Closes: 559991
Changes: 
 libreadline-java (0.8.0.1-8.2) unstable; urgency=low
 .
   * Non-maintainer upload
   * also include /usr/lib/jvm/default-java/include/linux (closes: #559991)
Checksums-Sha1: 
 924f197568665b296379ec76c96690c1309089c0 1796 libreadline-java_0.8.0.1-8.2.dsc
 d1374acf2b6aead1e816c18ec36b6e5818f24f16 30495 libreadline-java_0.8.0.1-8.2.diff.gz
 7d9aa7d51ad2e2bd22784e5de14d28ba931cc552 42912 libreadline-java-doc_0.8.0.1-8.2_all.deb
 02ea42b1690d2080413abbe3da482276a4dfb713 29550 libreadline-java_0.8.0.1-8.2_amd64.deb
Checksums-Sha256: 
 084a151b440a592bc9e24927476837ac17125cfddaab5846e437ce84d088451f 1796 libreadline-java_0.8.0.1-8.2.dsc
 9c6a734138c88cfce1c317bd150e4a3c4aced78903bdcdbe355a08b3e4a48e43 30495 libreadline-java_0.8.0.1-8.2.diff.gz
 e0bc51713bf53fc5e714962b125285aea1b08ee3d1cf9f1260cbe76255110c10 42912 libreadline-java-doc_0.8.0.1-8.2_all.deb
 8ef8aa7a58d839d4c15924b57a2c764e3c90312fde891fbfb0530a5e73de0c83 29550 libreadline-java_0.8.0.1-8.2_amd64.deb
Files: 
 892e4d5280e068f9deffdfe47e077714 1796 libs optional libreadline-java_0.8.0.1-8.2.dsc
 cf4d3686bac67b092066de184fabdfec 30495 libs optional libreadline-java_0.8.0.1-8.2.diff.gz
 b1315308e71880c4b5643b926ff0d393 42912 doc optional libreadline-java-doc_0.8.0.1-8.2_all.deb
 002d9c11809e8040659b591ef134f98d 29550 libs optional libreadline-java_0.8.0.1-8.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLWhb9AAoJEAqgRXHQPj5wQJAP/1ZP6i4CkxrLe++z0YkEUHND
p5RF+1f4CMga7PWNR7BbRriHQ2eMUZRXQrgU3TGYwgSqcPs3zesX1psAaTpSZVhQ
kMYjvabr1dAZYWbZIEKSnItVxxTsdyrsVvR6ULpOclCcCFCE8yDIMgRSw9vMxhDc
QNmG+3HJBdxMBoTkSi6IXEv6Mut5k6AzeDmZ6mTe4EgqYzuxMGx9T+HIrpt1dH6f
7QEW7g6GTwYxYBFSS2lpNuCYptCpZTANmXt6/vqUxPSwoDW8elxf2IKJiQ34S4Du
BpvueKBUbVnFJQkzan/z+o6fMhAbTv69xO69FX602m9bHdye15l6wRsVe4/o6au8
vKu7JuhdaOkiZh3CxU8yU1mdGBQNYkHEEAM08KHpXm0DpJoZJC6tgArkVPhQuRRO
EfpCkUSbj8twapvz1NYBjo30iaW3Jj295P5OVYvfsNJMVdN3+3R6VRVvcOkD192+
xvg5Q5CjvU9g0kivpeo8y8wxNa7Uq+VGCyKpya0irJBOt9+RfFQBV/0uSrhFi6KG
BE/WTDRQmIOLjUhp9/dkCDMzU/xSHi0FtvxwYAxw0Et7Gut0NvVOa7IubBKMz2dj
BY/tgFG0PIBMV/Cz58lVGJT1A6P1OEoQ8VQjUF050kz6n/NgOKXtUT/Hf4ILWoZK
0vEB7jIZJ7Q1ANdC9cRO
=+LtT
-----END PGP SIGNATURE-----





Added tag(s) squeeze and sid. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Wed, 04 Aug 2010 02:04:00 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 10:20:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:31:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.